1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

NSLU2 pptpd problems

Discussion in 'Cisco/Linksys Network Storage Devices' started by der_Kief, Mar 14, 2010.

  1. der_Kief

    der_Kief Super Moderator Staff Member Member

    Hi all,
    i just installed Kamikaze 8.09.2 onto my NSLU2 which works without any troubles. After the basic configuration i setup a pptpd server, configure it and tested it. The clients from the internet can connect but are not able to access my internal LAN. I played around with differnet settings but i'm not sucessfull till now.
    Here is the scenario: Internet -> WRT54GL -> LAN (NSLU2 + int. Clients)
    WRT54GL -> 192.168.222.1
    NSLU2 -> 192.168.222.100
    TCP1723 & GRE47 are forwarded by the WRT54GL
    pptpd.conf:
    Code:
    #debug
    option /etc/ppp/options.pptpd
    speed 115200
    stimeout 10
    localip 192.168.222.100
    remoteip 192.168.222.200
    options.pptpd:
    Code:
    #debug
    #logfile /tmp/pptp-server.log
    #172.16.1.1:
    auth
    name pptpd
    lcp-echo-failure 3
    lcp-echo-interval 60
    default-asyncmap
    mtu 1482
    mru 1482
    nobsdcomp
    nodeflate
    #noproxyarp
    #nomppc
    mppe required,no40,no56,stateless
    require-mschap-v2
    refuse-chap
    refuse-mschap
    refuse-eap
    refuse-pap
    #ms-dns 172.16.1.1
    #plugin radius.so
    #radius-config-file /etc/radius.conf
    chap-secrets:
    Code:
    #USERNAME  PROVIDER  PASSWORD  IPADDRESS
    user pptpd password *
    I searched many sites on the internet and tried a lot of things but it doesnt work. Does anybody has an idea what is wrong in my configuration. Hope someone can help me with this problem.
    Thanks alot.
    der_Kief
     
  2. der_Kief

    der_Kief Super Moderator Staff Member Member

    Hi @ All,

    For your information.

    i just installed Debian Lenny on my SLUG and with exact the same settings as with OpenWRT pptpd is working now ! So this is an issue with OpenWRT/Kamikaze 8.09.2.
    Maybe the devolpers can fix this. For now i stay with Debian because i need pptpd support.

    der_Kief
     

Share This Page